org.mozilla.javascript

## Class NodeTransformer

- java.lang.Object
- - org.mozilla.javascript.NodeTransformer

-     public class NodeTransformer
      extends java.lang.Object

  This class transforms a tree to a lower-level representation for codegen.
  Author:
    Norris Boyd
  See Also:
    `Node`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeTransformer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `transform(ScriptNode tree)`
    `protected void` | `visitCall(Node node, ScriptNode tree)`
    `protected Node` | `visitLet(boolean createWith, Node parent, Node previous, Node scopeNode)`
    `protected void` | `visitNew(Node node, ScriptNode tree)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeTransformer

          public NodeTransformer()

  - ### Method Detail

    - #### transform

          public final void transform(ScriptNode tree)

    - #### visitNew

          protected void visitNew(Node node,
                      ScriptNode tree)

    - #### visitCall

          protected void visitCall(Node node,
                       ScriptNode tree)

    - #### visitLet

          protected Node visitLet(boolean createWith,
                      Node parent,
                      Node previous,
                      Node scopeNode)